-- LINGO.INI
--
-- for King of the HillŠ Hootenanny
--      version: 2.0 m&w
-- last updated: 101300 /bak



-- Some functionality is not permitted from the on startup handler
-- for example, 'put' statements don't function from the startup handler

-- To comment out the lines below afterward, use two dashes (--)
-- as in the beginning of this line.

on startup
  -- welcome to koth bp
  
  if the platform contains "Windows" then
    -- system-level .ini:
  
    --/bak
    --  reduce windows sound latency by mixing through QT3/4
    --  requires QTW3 or later
    --  if not present, soundDevice defaults to "Macromix"
    --  (we don't bother checking for DirectSound; QT3Mix seems to be preferable anyway)
    --  {for more info, refer to Macr technote #13654}
    set the soundDevice = "DirectSound"
    
    --/bak
    --  allow sound driver to stay loaded; default is true and should not normally be changed
    --  set the soundKeepDevice = TRUE -- default
    
    --/bak
    global g_ini_DontUseTheSoundLevel 
    -- Boolean; if TRUE, always tries to avoid using 'the soundlevel' to set master system volume,
    -- instead using an external solution if present (currently, BuddyAPI 'master' volume control)
    -- MACR: "The soundLevel fails on some Windows machines.
    -- This is due to limitations with specific sound cards."
    -- This limitation 'may' cause additional problems when budAPI is invoked, in particular,
    -- if a QuickTime movie is played after budAPI is used (refer to budAPI technotes).
    -- In this case, set the variable to FALSE to always force the lingo soundlevel call, even if it
    -- doesn't work (this means you must set a system volume level from a control panel prior to 
    -- launching Block Party).
    --
    -- example:
    -- g_ini_DontUseTheSoundLevel = FALSE -- force to never use budAPI
    --       -- (always use soundlevel call, even if it doesn't work; but more compatible)
    g_ini_DontUseTheSoundLevel = TRUE -- force to always use budAPI
    
  
  else if the platform contains "Macintosh" then
    -- nothing
  
  end if
end startup
